#include <stdint.h>
#include <stdlib.h>
void alloc_mpi_mem(int64_t size, void **baseptr, int *ierr){
  *baseptr = malloc((size_t) size);
  *ierr = (baseptr != NULL);
}
int free_mpi_mem(void *baseptr){
  free(baseptr);
  return 0;
}
